Bug 12934 - man page for vfs_zfsacl.8 is not built with Samba
man page for vfs_zfsacl.8 is not built with Samba
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.7.0rc2
All All
: P5 trivial
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 08:51 UTC by Timur Bakeyev
Modified: 2017-12-06 09:34 UTC (History)
1 user (show)

See Also:


Attachments
Fix typo and add missing vfs_zfsacl manpage (4.65 KB, patch)
2017-11-29 05:47 UTC, Timur Bakeyev
no flags Details
git-am fix for 4.7.next and 4.6.next (2.33 KB, patch)
2017-11-30 05:47 UTC, Uri Simchoni
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2017-07-25 08:51:44 UTC
It amusing, how long it wasn't noticed, but apparently when you build Samba documentation together with the Samba suite the vfs_zfsacl.8 is not build.

That's no wonder as it's missing from the docs-xml/wscript_build. That possibly wasn't noticed cause pre-packaged manpages are build through other route, via the configure/make, where *.xml globing catches all the pages.

The issue was noticed by Anodos on FreeNAS forum.
Comment 1 Timur Bakeyev 2017-11-29 05:47:17 UTC
Created attachment 13818 [details]
Fix typo and add missing vfs_zfsacl manpage
Comment 2 Uri Simchoni 2017-11-30 05:47:26 UTC
Created attachment 13827 [details]
git-am fix for 4.7.next and 4.6.next
Comment 3 Karolin Seeger 2017-12-05 09:24:47 UTC
Pushed to autobuild-v4-{6,7}-test.
Comment 4 Karolin Seeger 2017-12-06 09:34:42 UTC
Pushed to both branches.
Closing out bug report.

Thanks!